<script type="text/jscript">
function Valtext(e) {
    key = e.keyCode || e.which;
    tecla = String.fromCharCode(key).toLowerCase();
    letras = " áéíóúabcdefghijklmnñopqrstuvwxyz";
    especiales = [8, 37, 39, 46];

    tecla_especial = false
    for(var i in especiales) {
        if(key == especiales[i]) {
            tecla_especial = true;
            break;
        }
    }

    if(letras.indexOf(tecla) == -1 && !tecla_especial)
        return false;
}

function ValNumero(e) {
    key = e.keyCode || e.which;
    tecla = String.fromCharCode(key).toLowerCase();
    letras = "0123456789";
    especiales = [8, 37, 39, 46];

    tecla_especial = false
    for(var i in especiales) {
        if(key == especiales[i]) {
            tecla_especial = true;
            break;
        }
    }

    if(letras.indexOf(tecla) == -1 && !tecla_especial)
        return false;
}

	
	$(document).ready(function (e) {
  $('#codi').on('show.bs.modal', function(e) {    
     var id_tmp2 = $(e.relatedTarget).data().id;
     var codigo_producto = $("#codigo_producto"+id_tmp2).val();
	 var nombre_producto = $("#nombre_producto"+id_tmp2).val();
	 var id_producto = $("#id_producto"+id_tmp2).val();
	  
	 
	  $(e.currentTarget).find('#mod_id').val(id_producto);
	  $(e.currentTarget).find('#mod_id_tmp2').val(id_tmp2);
	  $(e.currentTarget).find('#mod_nombre').val(nombre_producto);
	  $(e.currentTarget).find('#mod_codigo').val(codigo_producto);
	  alert(id_tmp2);
	});
});
	

	
	
	</script>	
	
	
	<?php
		if (isset($con))
		{
		
	?>
	<!-- Modal -->
	<div class="modal fade" id="codi" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
	  <div class="modal-dialog" role="document">
		<div class="modal-content">
		  <div class="modal-header">
			<h4 class="modal-title" id="myModalLabel"><i class='glyphicon glyphicon-edit'></i> Ingresa Codigo de la Bateria</h4>
		  </div>
		  <div class="modal-body">
			<form class="form-horizontal" method="post" id="cod">
			<div id="resultados_ajax_cod"></div>
            
			                 
              <div class="form-group">
				<label for="usuario" class="col-sm-3 control-label">Usuario</label>
				<div class="col-sm-8">
				  <?php 
             $cs=mysqli_query($con, "select count(id_sesion),Max(id_sesion) from historico_sesiones");
		while($resul=mysqli_fetch_array($cs)){
			$count=$resul[0];
			$max=$resul[1];
		}
			 $cs2=mysqli_query($con, "select * from historico_sesiones where id_sesion='$max'");
		while($resul2=mysqli_fetch_array($cs2)){
			$usu=$resul2['usuario'];
			}
			  ?>
                  <input type="text" name="usuario" id="usaurio" class="form-control" value="<?php echo $usu; ?>" required="required" readonly="readonly">
                   </div>
			  </div>
			  
			 
			  <div class="form-group">
				
					<input type="hidden" name="mod_id" id="mod_id">
					<input type="hidden" name="mod_id_tmp2" id="mod_id_tmp2">
                    <label for="mod_nombre" class="col-sm-3 control-label">Nombre</label>
				<div class="col-sm-8">
				  <input type="text" class="form-control" id="mod_nombre" name="mod_nombre" required readonly="readonly">
				</div>
			  </div>
              
			  <div class="form-group">
				<label for="mod_cantidad" class="col-sm-3 control-label">Ingrese Codigo</label>
				<div class="col-sm-8">
				  <input type="text" class="form-control" id="mod_codigo" name="mod_codigo" required maxlength="20" onKeyPress="return ValNumero(event)">
				</div>
			  </div>
			 
			 
		  
		  <div class="modal-footer">
			<button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
			<input type="submit" class="btn btn-primary" id="actualizar_datos_codigo" value="Procesar">
		  </div>
		  </form>
		</div>
	  </div>
	</div>
    </div>
	<?php
		}
	?>